clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
161
161.1625
161.325
161.4875
161.65
161.8125
161.975
162.1375
162.3
162.4625
162.625
162.7875
162.95
163.1125
163.275
163.4375
163.6  
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000497768	0.000517534	0.000539749	0.000564842	0.000593348	0.000625944	0.000663502	0.000707159	0.000758429	0.000819375	0.000892883	0.000983115	0.00109631	0.00124226	0.00143725	0.00171056	0.00212066;
0.000497751	0.000517519	0.000539736	0.000564831	0.000593338	0.000625937	0.000663498	0.000707156	0.000758429	0.000819377	0.000892887	0.000983124	0.00109632	0.00124227	0.00143727	0.00171059	0.0021207;
0.000497735	0.000517505	0.000539724	0.00056482	0.000593329	0.00062593	0.000663493	0.000707153	0.000758428	0.000819379	0.000892893	0.000983133	0.00109634	0.00124229	0.00143729	0.00171063	0.00212075;
0.000497719	0.000517491	0.000539711	0.000564809	0.000593321	0.000625923	0.000663488	0.000707152	0.000758429	0.000819382	0.000892899	0.000983141	0.00109635	0.00124231	0.00143732	0.00171066	0.00212079;
0.000497703	0.000517477	0.000539699	0.000564799	0.000593312	0.000625917	0.000663484	0.000707149	0.000758429	0.000819385	0.000892905	0.000983151	0.00109636	0.00124233	0.00143734	0.00171069	0.00212084;
0.000497688	0.000517463	0.000539687	0.000564789	0.000593304	0.000625911	0.00066348	0.000707147	0.000758429	0.000819388	0.000892911	0.000983161	0.00109637	0.00124235	0.00143737	0.00171073	0.00212088;
0.000497672	0.000517449	0.000539675	0.000564779	0.000593296	0.000625905	0.000663476	0.000707145	0.00075843	0.000819392	0.000892917	0.000983171	0.00109639	0.00124236	0.00143739	0.00171076	0.00212093;
0.000497657	0.000517436	0.000539664	0.000564769	0.000593289	0.000625899	0.000663472	0.000707144	0.000758431	0.000819396	0.000892924	0.000983181	0.0010964	0.00124238	0.00143742	0.00171079	0.00212098;
0.000497642	0.000517422	0.000539652	0.000564759	0.000593281	0.000625894	0.000663469	0.000707144	0.000758433	0.0008194	0.000892932	0.000983191	0.00109642	0.0012424	0.00143744	0.00171083	0.00212103;
0.000497628	0.00051741	0.000539641	0.00056475	0.000593274	0.000625889	0.000663466	0.000707143	0.000758434	0.000819404	0.000892939	0.000983202	0.00109643	0.00124242	0.00143747	0.00171086	0.00212108;
0.000497613	0.000517397	0.00053963	0.000564741	0.000593267	0.000625884	0.000663463	0.000707142	0.000758436	0.000819409	0.000892947	0.000983214	0.00109645	0.00124244	0.0014375	0.0017109	0.00212113;
0.000497599	0.000517385	0.000539619	0.000564733	0.00059326	0.000625879	0.000663461	0.000707142	0.000758439	0.000819414	0.000892954	0.000983225	0.00109646	0.00124247	0.00143753	0.00171094	0.00212118;
0.000497584	0.000517372	0.000539609	0.000564724	0.000593253	0.000625874	0.000663458	0.000707142	0.000758441	0.00081942	0.000892963	0.000983237	0.00109648	0.00124249	0.00143755	0.00171097	0.00212123;
0.000497571	0.00051736	0.000539599	0.000564716	0.000593247	0.00062587	0.000663456	0.000707142	0.000758444	0.000819425	0.000892972	0.000983249	0.0010965	0.00124251	0.00143758	0.00171101	0.00212128;
0.000497557	0.000517348	0.000539589	0.000564707	0.000593241	0.000625866	0.000663454	0.000707143	0.000758447	0.000819431	0.000892981	0.000983262	0.00109651	0.00124253	0.00143761	0.00171105	0.00212133;
0.000497544	0.000517337	0.000539579	0.0005647	0.000593234	0.000625862	0.000663452	0.000707144	0.00075845	0.000819437	0.00089299	0.000983275	0.00109653	0.00124255	0.00143764	0.00171109	0.00212138;
0.00049753	0.000517325	0.000539569	0.000564692	0.000593229	0.000625859	0.000663451	0.000707145	0.000758454	0.000819443	0.000893	0.000983288	0.00109655	0.00124258	0.00143767	0.00171113	0.00212143];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0003 0.00212143])
ylim([161.0E9 163.6E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([161.0E9 161.5E9 162.0E9 162.5E9 163.0E9 163.6E9])
zticks([0.00049753 0.0009 0.0013 0.0017 0.00212143])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_20AlDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Lowload_20AlDoped_strainenergy_LLZO_48e_fAl.png